Bug 832103 - [RFE] Optimize memberOf search criteria with AD
[RFE] Optimize memberOf search criteria with AD
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.4
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 10:09 EDT by Dmitri Pal
Modified: 2013-02-21 04:26 EST (History)
3 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Enhancement
Doc Text:
No documentation needed.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:26:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-06-14 10:09:03 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1367

Active Directory has a special control that can be used to retrieve the complete ancestry of an object based on an attribute such as memberOf.

Community member Sigbjorn Lie pointed out http://msdn.microsoft.com/en-us/library/windows/desktop/aa746475%28v=vs.85%29.aspx which describes how to construct a search filter to take advantage of this ability.

We should use this when performing initgroups lookups for Active Directory users, for a significant performance increase.
Comment 1 RHEL Product and Program Management 2012-07-10 02:12:35 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 2 RHEL Product and Program Management 2012-07-10 22:06:27 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 Kaushik Banerjee 2013-01-29 06:24:08 EST
No regressions were found in the AD provider. Marking bug as Verified Sanity Only after all tests passed for version 1.9.2-82
Comment 6 errata-xmlrpc 2013-02-21 04:26:00 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.